Bug 428935 - (CVE-2008-0285) CVE-2008-0285 ngircd: Remotely triggered crash
CVE-2008-0285 ngircd: Remotely triggered crash
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
  Show dependency treegraph
Reported: 2008-01-16 00:53 EST by Red Hat Product Security
Modified: 2009-10-23 15:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: ngircd-0.11.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-24 14:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-01-16 00:53:39 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-0285 to the following vulnerability:

ngIRCd 0.10.x before 0.10.4 and 0.11.0 before 0.11.0-pre2 allows remote attackers to cause a denial of service (crash) via crafted IRC PART message, which triggers an invalid dereference.


Comment 1 Lubomir Kundrak 2008-01-16 01:04:23 EST
Not yet in Fedora. Here is the review request: bug #234926
Comment 3 Andreas Thienemann 2008-10-23 05:59:53 EDT
FYI: This bug should be closed for good, the vulnerable version was never available in fedora AFAIK.
Comment 4 Tomas Hoger 2008-10-24 14:09:49 EDT
Agree, this can be closed.  I haven't closed it before as it wasn't clear to me what's the ngircd's review request.  It is closed now, but ngircd only seems to be shipped in EPEL5 and may appear in F10.
Comment 5 Red Hat Bugzilla 2009-10-23 15:05:18 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.